Skip to content

Bill import progress

GET
/api/app/bill-import/status/{batchId}
curl --request GET \
--url https://test.unipay.co.zw/api/app/bill-import/status/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
batchId
required
string format: uuid

OK

Media typeapplication/json
object
batchId
string format: uuid
status
integer format: int32
Allowed values: 0 1 2 3 4
totalRows
integer format: int32
processedRows
integer format: int32
successCount
integer format: int32
alreadyExistsCount
integer format: int32
updatedCount
integer format: int32
blockedCount
integer format: int32
failureCount
integer format: int32
pendingRows
integer format: int32
creationTime
string format: date-time
completedAt
string format: date-time
nullable
Example
{
"status": 0
}

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions